# std::error_category::default_error_condition

From cppreference.com
< cpp‎ | error‎ | error category

virtual std::error_condition default_error_condition( int code ) const; |  | (since C++11)

Returns the error condition for the given error code.

Equivalent to std::error_condition(code, *this).

### Parameters

code | - | error code for which to return error condition

### Return value

The error condition for the given error code.

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/error_category/default_error_condition&oldid=91471"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template